<?php
// No direct access
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;

// Path assignments
$mosConfig_absolute_path = JPATH_SITE;
$mosConfig_live_site = Uri::base();
if (substr($mosConfig_live_site, -1) == "/") {
    $mosConfig_live_site = substr($mosConfig_live_site, 0, -1);
}

$showLogo = $params->get('show_logo', 1);
$companyLogo = $params->get('company_logo');
$showAbout = $params->get('show_about', 1);
$companyAbout = $params->get('company_about');
$showName = $params->get('show_name', 1);
$companyName = $params->get('company_name');
$showAddress = $params->get('show_address', 1);
$companyAddress = $params->get('company_address');
$showPhone = $params->get('show_phone', 1);
$companyPhone = $params->get('company_phone');
$showEmail = $params->get('show_email', 1);
$companyEmail = $params->get('company_email');
$linkColor = $params->get('link_color', '#0000FF');
$textColor = $params->get('text_color', '#000000');
$iconColor = $params->get('icon_color', '#000000');
$showIcons = $params->get('show_icons', 1);
$textSize = $params->get('text_size', 'medium');
$layout = $params->get('layout', 'default');
$alignment = $params->get('alignment', 'center');
$moduleName = basename(__DIR__);

$alignment_map = [
    'left' => 'flex-start',
    'center' => 'center',
    'right' => 'flex-end'
];
$flex_alignment = $alignment_map[$alignment];

$text_size_map = [
    'small' => '0.8em',
    'medium' => '1em',
    'large' => '1.2em'
];
$font_size = $text_size_map[$textSize];

// Add stylesheets
$document = Factory::getDocument();
$document->addStyleSheet($mosConfig_live_site . '/modules/mod_contact/media/css/admin_styles.css');

// Add specific layout stylesheet if exists
if (file_exists($mosConfig_absolute_path . '/modules/mod_contact/media/css/' . $layout . '.css')) {
    $document->addStyleSheet($mosConfig_live_site . '/modules/mod_contact/media/css/' . $layout . '.css');
}
?>

<div class="mod_contact" style="color: <?php echo $textColor; ?>; font-size: <?php echo $font_size; ?>; display: flex; flex-direction: column; align-items: <?php echo $flex_alignment; ?>;">
    <?php if ($showLogo && $companyLogo) : ?>
        <div class="contact-logo" style="margin-bottom: 20px;">
            <img src="<?php echo $companyLogo; ?>" alt="Company Logo">
        </div>
    <?php endif; ?>

    <?php if ($showAbout && $companyAbout) : ?>
        <div class="contact-about">
            <?php echo nl2br($companyAbout); ?>
        </div>
    <?php endif; ?>

    <?php if ($showName && $companyName) : ?>
        <div class="contact-name">
            <?php echo $companyName; ?>
        </div>
    <?php endif; ?>

    <?php if ($showAddress && $companyAddress) : ?>
        <div class="contact-address">
            <?php if ($showIcons) : ?>
                <i class="fas fa-home" style="color: <?php echo $iconColor; ?>;"></i>
            <?php endif; ?>
            <?php echo nl2br($companyAddress); ?>
        </div>
    <?php endif; ?>

    <?php if ($showPhone && $companyPhone) : ?>
        <div class="contact-phone">
            <?php if ($showIcons) : ?>
                <i class="fas fa-phone" style="color: <?php echo $iconColor; ?>;"></i>
            <?php endif; ?>
            <?php echo $companyPhone; ?>
        </div>
    <?php endif; ?>

    <?php if ($showEmail && $companyEmail) : ?>
        <div class="contact-email">
            <?php if ($showIcons) : ?>
                <i class="fas fa-envelope" style="color: <?php echo $iconColor; ?>;"></i>
            <?php endif; ?>
            <a href="mailto:<?php echo $companyEmail; ?>" style="color: <?php echo $linkColor; ?>;"><?php echo $companyEmail; ?></a>
        </div>
    <?php endif; ?>
</div>
